## org.eclipse.amp.amf.acore.edit.commands.test
Interface PrePostAsserts

All Known Implementing Classes:
  AddContinuous, AddGrid, AddImplement, AddNetwork, AddRootCommand, AddStyle2D, CommandTransformer, CreateAgents, CreateSpace, CreateSubcontext, NewAgentCondition, NewAgentGenCondition, NewContextMemberGenCondition, NewSubcontextCondition, NewSubcontextGenCondition, PrePostCondition, RenameAgentCommand, RenameSubContextCommand, SetGridDimensions0, SetGridDimensions1, SetGridDimensions2, SetGridDimensions3, SetID, SetLabel, SetLabelPropogationCondition, SetPlural, SetStyleAgent, SetTransformer

    public interface PrePostAsserts

Method Summary
`void` `postCondition()`
`void` `preCondition()`

Method Detail

### preCondition

    void preCondition()

### postCondition

    void postCondition()